Subject: nix-channel error: opening pseudoterminal master: No such device

From: Jonas Schneider-Bensch <[email-masked]>
Date: Sat, 24 Jun 2023 08:54:14 +0200

Perhaps this is a permissions issue with the nix shepherd service? I
haven't tried the patch linked above, but found that I could run

$ sudo nix-channel --update

without running into the issue. Then, I got the same error again when
trying to install any package with nix-env. Once again, I could run

$ sudo nix-env -i <some-package>

which would successfully install it to the root profile. After doing
this, however, I found that I now could run

$ nix-env -i <some-package>

to install the package to my user profile, presumably because the nix
store was populated by the run with sudo.